Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030585
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 01. General setupmajoralways2015-08-10 10:212015-08-14 18:53
ReportermaiteView Statuspublic 
Assigned Toaferraz 
PriorityimmediateResolutionfixedFixed in Version3.0PR15Q2.4
StatusclosedFix in branchFixed in SCM revision08d59573cea1
ProjectionnoneETAnoneTarget Version3.0PR15Q2.4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2014-11-14
Regression introduced in release3.0PR15Q1
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/9eba998e1eb9 [^]
Triggers an Emergency PackNo
Summary

0030585: Performance problem in "InitializeBPCurrency" modulescript

DescriptionPerformance problem in "InitializeBPCurrency" modulescript
Steps To ReproduceRelated with issue https://issues.openbravo.com/view.php?id=28076 [^] , "UpdateBpCurrency" method was included. Performance of this method in not good in case huge amount of business partners needs to be updated

In my case, query returns 35382 business partners to update (I wait for 40 minutes and still running). Contact me in case copy of this environment is required.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 00305303.0PR15Q4 closedaferraz Performance problem in "InitializeBPCurrency" modulescript 

-  Notes
(0079371)
hgbot (developer)
2015-08-14 18:51

Repository: erp/backports/3.0PR15Q2.4
Changeset: 08d59573cea1dfb861b1d3a9fdd4b8cbca2d9565
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Fri Aug 14 13:02:06 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q2.4/rev/08d59573cea1dfb861b1d3a9fdd4b8cbca2d9565 [^]

Fixes issue 30585: Performance problem in InitializeBPCurrency modulescript

Improve performance of UpdateBpCurrency method in InitializeBPCurrency modulescript.

---
M src-util/modulescript/build/classes/org/openbravo/modulescript/InitializeBPCurrencyData.class
M src-util/modulescript/build/javasqlc/src/org/openbravo/modulescript/InitializeBPCurrencyData.java
M src-util/modulescript/src/org/openbravo/modulescript/InitializeBPCurrency_data.xsql
---
(0079372)
aferraz (developer)
2015-08-14 18:53

Code review and Testing OK done by vmromanos

- Issue History
Date Modified Username Field Change
2015-08-14 13:31 aferraz Type defect => backport
2015-08-14 13:31 aferraz Target Version 3.0PR15Q4 => 3.0PR15Q2.4
2015-08-14 18:51 hgbot Checkin
2015-08-14 18:51 hgbot Note Added: 0079371
2015-08-14 18:51 hgbot Status scheduled => resolved
2015-08-14 18:51 hgbot Resolution open => fixed
2015-08-14 18:51 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q2.4/rev/08d59573cea1dfb861b1d3a9fdd4b8cbca2d9565 [^]
2015-08-14 18:53 aferraz Review Assigned To => vmromanos
2015-08-14 18:53 aferraz Note Added: 0079372
2015-08-14 18:53 aferraz Status resolved => closed
2015-08-14 18:53 aferraz Fixed in Version => 3.0PR15Q2.4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker